from charts.views import (
    BandcampTracksView,
    BirdsChartView,
    ChartDetailView,
    ChartRecordView,
    MalojaChartsView,
    SpotifyTracksView,
)
from django.urls import path

app_name = "charts"

urlpatterns = [
    path("charts/", ChartRecordView.as_view(), name="charts-home"),
    path("charts/maloja/", MalojaChartsView.as_view(), name="maloja-charts"),
    path("charts/spotify/", SpotifyTracksView.as_view(), name="spotify-tracks"),
    path("charts/bandcamp/", BandcampTracksView.as_view(), name="bandcamp-tracks"),
    path("charts/birds/", BirdsChartView.as_view(), name="birds-chart"),
    path("charts/<slug:media_type>/", ChartDetailView.as_view(), name="chart-detail"),
]
